Amazon Linux 2 : curl (ALAS-2022-1792)

high Nessus プラグイン ID 160577

概要

リモートのAmazon Linux 2ホストに、セキュリティ更新プログラムがありません。

説明

リモートホストにインストールされているcurlのバージョンは、7.79.1-2より前です。したがって、ALAS2-2022-1792 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- curl 7.83.0 で修正された認証情報の保護が不十分であるため、同じホストではあるものの、別のポート番号への HTTP リダイレクトの認証または cookie ヘッダーデータが漏洩する可能性があります。(CVE-2022-27776)

- 不適切な認証の脆弱性が curl 7.33.0から 7.82.0までに存在します。これにより、この転送に設定されたものと同じ認証情報で認証されていることを適切に確認せずに、OAUTH2 認証済み接続を再利用することが可能です。これは SASL 有効化プロトコルに影響を与えます。SMPTP (S)、IMAP (S)、POP3 (S) および LDAP (S) (openldapのみ)。(CVE-2022-22576)

-curl 4.9から curl 7.82.0に、認証情報の保護が不十分である脆弱性が存在します。これにより、認証で使用される HTTP(S) リダイレクトをフォローする場合、攻撃者は認証情報を抽出し、異なるプロトコルまたはポート番号に存在する他のサービスへ認証情報を漏洩する可能性があります。
(CVE-2022-27774)

- curl 7.65.0 から 7.82.0 に情報漏洩の脆弱性が存在します。この脆弱性は、接続プールにあるが異なるゾーン ID を持つ IPv6 アドレスを使用することによるもので、代わりに接続を再利用する可能性があります。(CVE-2022-27775)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

「yum update curl」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2/ALAS-2022-1792.html

https://alas.aws.amazon.com/cve/html/CVE-2022-22576.html

https://alas.aws.amazon.com/cve/html/CVE-2022-27774.html

https://alas.aws.amazon.com/cve/html/CVE-2022-27775.html

https://alas.aws.amazon.com/cve/html/CVE-2022-27776.html

プラグインの詳細

深刻度: High

ID: 160577

ファイル名: al2_ALAS-2022-1792.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2022/5/5

更新日: 2022/6/9

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6

CVSS v2

リスクファクター: Medium

Base Score: 5.5

Temporal Score: 4.1

ベクトル: AV:N/AC:L/Au:S/C:P/I:P/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-22576

CVSS v3

リスクファクター: High

Base Score: 8.1

Temporal Score: 7.1

ベクトル: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:curl, p-cpe:/a:amazon:linux:curl-debuginfo, p-cpe:/a:amazon:linux:libcurl, p-cpe:/a:amazon:linux:libcurl-devel, cpe:/o:amazon:linux:2

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/5/4

脆弱性公開日: 2022/4/28

参照情報

CVE: CVE-2022-22576, CVE-2022-27774, CVE-2022-27775, CVE-2022-27776